=== debian/changelog ===
kdevelop-php (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.7.0.
  * Bump kdevelop runtime dependency to 4.7.0.

  [ Pino Toscano ]
  * Prepared for upstream release 1.6.0.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 23:10:18 +0200
