## kdevelop-php 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(KDEVPHP_VERSION_MAJOR 1)
 set(KDEVPHP_VERSION_MINOR 7)
-set(KDEVPHP_VERSION_PATCH 1)
+set(KDEVPHP_VERSION_PATCH 3)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "1.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )
