=== debian/changelog ===
kdevelop-php (1.7.3-3) unstable; urgency=medium

  * Team upload.
  * Remove kdevelop-php-dbg in favour of the -dbgsym packages.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 22:42:57 +0200

kdevelop-php (1.7.3-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 May 2016 20:27:46 -0300

kdevelop-php (1.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #818521).
    - Bump kdevplatform-dev to match the latest release.
  * Improve uscan to search for different compression methods in tarballs
    and to repack the tarball with xz compression if necessary.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-[Browser Git] to their https versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 May 2016 22:44:33 -0300

kdevelop-php (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Bump kdevplatform-dev build dependency to >= 1.7.2.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 22:31:16 +0100
