=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.7.0),
+               kdevplatform-dev (>= 1.7.3~),
                pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevelop-php.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-php.git
 
 Package: kdevelop-php
 Architecture: any
@@ -26,16 +26,6 @@
  management, an advanced editor, a class browser and an integrated debugger.
  .
  This package contains the PHP language support plugin.
-
-Package: kdevelop-php-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kdelibs5-dbg, kdevelop-php (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for the KDevelop PHP plugin
- This package contains the debugging symbols of the PHP plugin for KDevelop.
- They will automatically be used by gdb for debugging issues with the PHP
- plugin.
 
 Package: kdevelop-php-l10n
 Section: localization
