=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --with kde

override_dh_strip:
	dh_strip --dbgsym-migration='kdevelop-php-dbg (<< 1.7.3-3~)'

.PHONY: override_dh_auto_test
