=== debian/watch ===
version=3
opts="repack,compression=xz"
http://download.kde.org/stable/kdevelop/([\d.]+)/src/kdevelop-php-([\d.]+).tar.(?:xz|bz2|gz)
