=== debian/changelog ===
kdevelop-php (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump kdevplatform build dependency version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jan 2017 17:38:00 -0300

kdevelop-php (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 23:06:22 +0200

kdevelop-php (5.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevplatform-dev build dependency to >= 5.0.1.
  * Bump kdevelop dependency in kdevelop-php to >= 5.0.1.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 07:12:54 +0200

kdevelop-php (5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update/simplify watch file.
  * Update the build dependencies following the port to Frameworks:
    - add extra-cmake-modules, qtbase5-dev, libqt5webkit5-dev,
      libkf5archive-dev, libkf5i18n-dev, libkf5itemmodels-dev,
      libkf5kcmutils-dev, libkf5texteditor-dev, and libkf5threadweaver-dev
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdevelop-pg-qt to >= 2.0
    - bump kdevplatform-dev to >= 5.0
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Integrate kdevelop-php-docs into kdevelop-php: the -docs plugin is now
    provided as part of this source, so we can provide it from here; also,
    since the overhead of the -docs plugin and its translations is small,
    install them in kdevelop-php (and kdevelop-php-l10n)
    - provide kdevelop-php-docs and kdevelop-php-docs-l10n as transitional
      packages
    - make kdevelop-php-l10n break/replace kdevelop-php-docs-l10n < 5.0
  * Update install files.
  * Disable building of unit tests, as long as they are not run.
  * Bump kdevelop dependency in kdevelop-php to >= 5.0.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 31 Aug 2016 20:12:45 +0200
