=== debian/control ===
--- 
+++ 
@@ -5,11 +5,20 @@
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake (>= 2.8.0),
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               kdevelop-pg-qt (>= 1.0.0),
-               kdevplatform-dev (>= 1.7.3~),
-               pkg-kde-tools (>= 0.6.4)
+               extra-cmake-modules (>= 0.0.9),
+               qtbase5-dev,
+               libqt5webkit5-dev,
+               libkf5archive-dev,
+               libkf5i18n-dev,
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev,
+               libkf5texteditor-dev,
+               libkf5threadweaver-dev,
+               kdevelop-pg-qt (>= 2.0),
+               kdevplatform-dev (>= 5.0.3),
+               pkg-kde-tools (>= 0.15.16),
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
@@ -17,7 +26,7 @@
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:4.7.0), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.0.1), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop
@@ -31,7 +40,8 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdevelop-php-l10n-ca,
+Breaks: kdevelop-php-docs-l10n (<< 5.0),
+        kdevelop-php-l10n-ca,
         kdevelop-php-l10n-cavalencia,
         kdevelop-php-l10n-da,
         kdevelop-php-l10n-engb,
@@ -49,7 +59,8 @@
         kdevelop-php-l10n-uk,
         kdevelop-php-l10n-zhcn,
         kdevelop-php-l10n-zhtw
-Replaces: kdevelop-php-l10n-ca,
+Replaces: kdevelop-php-docs-l10n (<< 5.0),
+          kdevelop-php-l10n-ca,
           kdevelop-php-l10n-cavalencia,
           kdevelop-php-l10n-da,
           kdevelop-php-l10n-engb,
@@ -72,3 +83,23 @@
  for the KDevelop integrated development environment for KDE.
  .
  This  package contains the localizations for the KDevelop PHP plugin.
+
+Package: kdevelop-php-docs
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: kdevelop-php (>= ${source:Version}), ${misc:Depends}
+Description: transitional package for kdevelop-php
+ This package is a transitional package to migrate to kdevelop-php.
+ .
+ It can be safely removed after the update.
+
+Package: kdevelop-php-docs-l10n
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: kdevelop-php-l10n (>= ${source:Version}), ${misc:Depends}
+Description: transitional package for kdevelop-php-l10n
+ This package is a transitional package to migrate to kdevelop-php-l10n.
+ .
+ It can be safely removed after the update.
