## kdevelop-php 5.0.4

=== debian/changelog ===
kdevelop-php (5.0.4-0ubuntu1) zesty; urgency=medium

  * New upstream buxfix release (5.0.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 Mar 2017 09:26:55 +0000

kdevelop-php (1.7.3-0ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 
  * New upstream bugfix release.
  * Update watch file.
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 08:59:57 -0800
