=== debian/control ===
--- 
+++ 
@@ -17,16 +17,16 @@
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
                kdevelop-pg-qt (>= 2.0),
-               kdevplatform-dev (>= 5.0.3),
+               kdevplatform-dev (>= 5.0.4),
                pkg-kde-tools (>= 0.15.16),
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-php.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:5.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.0.4), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop
