## kdevelop-php 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
-PROJECT(php)
+cmake_minimum_required(VERSION 2.8.12)
+
+project(php)
 
 set(KDEVPHP_VERSION_MAJOR 5)
-set(KDEVPHP_VERSION_MINOR 0)
-set(KDEVPHP_VERSION_PATCH 3)
+set(KDEVPHP_VERSION_MINOR 1)
+set(KDEVPHP_VERSION_PATCH 2)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "${KDEVPHP_VERSION_MAJOR}.${KDEVPHP_VERSION_MINOR}.${KDEVPHP_VERSION_PATCH}" )
 
 configure_file( "${php_SOURCE_DIR}/kdevphpversion.h.cmake" "${php_BINARY_DIR}/kdevphpversion.h" @ONLY )
 
-cmake_minimum_required(VERSION 2.8.12)
 find_package (ECM 0.0.9 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
@@ -24,9 +25,12 @@
 find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 find_package(KDevelop-PG-Qt REQUIRED)
 
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
+endif()
+
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9043 )
 add_definitions( -DTRANSLATION_DOMAIN=\"kdevphp\" )
-
 
 include_directories(
     ${KDEVPGQT_INCLUDE_DIR}
@@ -64,5 +68,7 @@
 # not writeable so that the refactoring actions get hidden
 install(FILES phpfunctions.php DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)
 
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
