=== debian/changelog ===
kdevelop-php (5.1.2-1ubuntu1) artful; urgency=medium

  * New upstream bugfix release (5.1.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 00:21:10 +0100

kdevelop-php (5.1.1-1ubuntu1) artful; urgency=medium

  * Merge with debian. Remaining changes
    - Lintian override on postinst-must-call-ldconfig

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Jul 2017 23:34:44 +0100

kdevelop-php (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevplatform-dev build dependency to 5.1.1, as indicated by the
    upstream build system.
  * Bump the kdevelop dependency to 5.1.1.
  * Update install files.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jul 2017 12:06:16 +0200

kdevelop-php (5.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 27 May 2017 14:37:30 +0100

kdevelop-php (5.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.0.)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Apr 2017 22:36:10 +0100

kdevelop-php (5.0.3-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.0.2)
  * Updated VCS to point to LaunchPad git repo
  * Removed merge marker in changelog
  * Changed standards to 2.8.6 to be compat with xenial
  * Added lintian override for
    kdevelop-php: postinst-must-call-ldconfig
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (5.0.3)
  * Wild card plugin versions as per kfunk suggestion

 -- Clive Johnston <clivejo@kubuntu.org>  Sat, 29 Oct 2016 19:49:27 +0100
