=== debian/control ===
--- 
+++ 
@@ -17,16 +17,16 @@
                libkf5texteditor-dev,
                libkf5threadweaver-dev,
                kdevelop-pg-qt (>= 2.0),
-               kdevplatform-dev (>= 5.0.4),
+               kdevplatform-dev (>= 5.1.2),
                pkg-kde-tools (>= 0.15.16),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 
 Package: kdevelop-php
 Architecture: any
-Depends: kdevelop (>= 4:5.0.4), ${misc:Depends}, ${shlibs:Depends}
+Depends: kdevelop (>= 4:5.1.2), ${misc:Depends}, ${shlibs:Depends}
 Suggests: kdevelop-php-l10n
 Enhances: kdevelop
 Description: PHP plugin for KDevelop
