=== completion/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-add_subdirectory(tests)
+if (BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
 
 set(completion_SRCS
     worker.cpp
@@ -10,7 +12,11 @@
     model.cpp
     helpers.cpp
     codemodelitem.cpp
-    completiondebug.cpp
+)
+ecm_qt_declare_logging_category(completion_SRCS
+    HEADER completiondebug.h
+    IDENTIFIER COMPLETION
+    CATEGORY_NAME "kdevelop.languages.php.completion"
 )
 
 add_library( kdevphpcompletion SHARED ${completion_SRCS} )
