=== debian/changelog ===
kdevelop-php (5.2.1-1ubuntu2) bionic; urgency=medium

  * Actually include the transitional packages that should have been in
    last upload

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 04 Dec 2017 01:40:45 +0000

kdevelop-php (5.2.1-1ubuntu1) bionic; urgency=medium

  * Sync with debian; remaining changes
    - Transitional packages for 16.04's kdevelop-php-docs-l10n and
      kdevelop-php-docs. Drop after 18.04.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 09:11:25 +0000

kdevelop-php (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.2.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Nov 2017 07:20:27 +0100

kdevelop-php (5.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879335)

 -- Pino Toscano <pino@debian.org>  Wed, 22 Nov 2017 19:40:43 +0100

kdevelop-php (5.2.0-1ubuntu1) bionic; urgency=medium

  * Add back transitional packages for 16.04's kdevelop-php-docs-l10n 
    and kdevelop-php-docs, dropped in error with last sync.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Nov 2017 21:11:48 +0000

kdevelop-php (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch the kdevplatform-dev build dependency to kdevelop-dev, following
    the kdevplatform merge in kdevelop.
  * Change other build dependencies according to the upstream build system:
    - bump cmake to >= 3.0
    - bump qtbase-dev to >= 5.5.0
    - bump ECM and Frameworks to >= 5.15.0
    - drop libqt5webkit5-dev, no more required
  * Update install files.
  * Switch the watch file to https.
  * Switch Homepage to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Turn the versioned kdevelop dependency into a simple recommend, as it
    should be enough.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:25:18 +0100

kdevelop-php (5.1.2-2) unstable; urgency=medium

  * Team upload.
  * Drop the transitional packages kdevelop-php-docs & kdevelop-php-docs-l10n.
  * Bump the kdevelop dependency to 5.1.2.
  * Drop the breaks/replaces in kdevelop-php-l10n against the old
    kdevelop-php-l10n-* packages, since they are long gone.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Sep 2017 07:47:28 +0200

kdevelop-php (5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Bump the kdevplatform-dev build dependency to 5.1.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Aug 2017 21:13:13 +0200
