=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>,
Build-Depends: cmake (>= 3.0),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0),
               qtbase5-dev (>= 5.5.0),
               libkf5archive-dev (>= 5.15.0),
               libkf5i18n-dev (>= 5.15.0),
               libkf5itemmodels-dev (>= 5.15.0),
               libkf5kcmutils-dev (>= 5.15.0),
               libkf5texteditor-dev (>= 5.15.0),
               libkf5threadweaver-dev (>= 5.15.0),
               kdevelop-dev (>= 4:5.2.1),
               kdevelop-pg-qt (>= 2.0),
               pkg-kde-tools (>= 0.15.16),
Standards-Version: 4.1.1
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-php.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-docs-l10n (<< 5.0),
Replaces: kdevelop-php-docs-l10n (<< 5.0),
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

Package: kdevelop-php-docs
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php
 This package is a transitional package to migrate to kdevelop-php.
 .
 It can be safely removed after the update.

Package: kdevelop-php-docs-l10n
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php-l10n (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php-l10n
 This package is a transitional package to migrate to kdevelop-php-l10n.
 .
 It can be safely removed after the update.
