=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --parallel --list-missing --with kde
+	dh $@ --parallel --list-missing --with kf5
+
+override_dh_auto_configure:
+	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kdevelop-php-dbg (<< 1.7.3-3~)'
