## kdevelop-php 5.3.1

=== completion/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ecm_qt_declare_logging_category(completion_SRCS
     HEADER completiondebug.h
     IDENTIFIER COMPLETION
-    CATEGORY_NAME "kdevelop.languages.php.completion"
+    CATEGORY_NAME "kdevelop.plugins.php.completion"
 )
 
 add_library( kdevphpcompletion SHARED ${completion_SRCS} )
@@ -31,4 +31,4 @@
     kdevphpparser
 )
 
-install(TARGETS kdevphpcompletion DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kdevphpcompletion EXPORT KDevPHPTargets DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
