=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
 
+override_dh_auto_install:
+	dh_auto_install
+	# do not ship the development stuff for now
+	rm -rf debian/tmp/usr/include/
+	rm -rf debian/tmp/usr/lib/*/cmake/
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='kdevelop-php-dbg (<< 1.7.3-3~)'
